Subject: bug#4703: 23.1; Dired encryption menu items

From: Chong Yidong <[email-masked]>
Date: Sun, 15 Nov 2009 11:28:14 -0500

> The menu items Encrypt, Sign, Verify, and Decrypt are on the Immediate
> menu.  They should instead be on the Operate menu. They each act on
> the set of marked files (or the next prefix-arg files).

Fixed, thanks.

> Also, if these commands do not legitimately work on a subdirectory,
> then the menu items should be defined with an appropriate :enable
> entry, so that they are disabled for non-file lines.

This is a little tricky to implement.  There are several menu items that
would benefit from this behavior, but finding the marked files is
currently rather expensive, and I don't like the prospect of doing it
for every menu item, each time the user opens the menu.  This will have
to wait for a Dired revamp.